
QGIS Application - Bug report #19341

Can not open qgz

2018-07-05 02:28 PM - Andrew Shanin

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27169

Description

TypeError: unable to convert a QVariant of type 10 to a QMetaType of type 2 

Traceback (most recent call last):

  File "C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python\qgis\utils.py", line 346, in startPlugin

    plugins[packageName].initGui()

  File "C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\lrs\lrsplugin.py", line 65, in initGui

    self.dockWidget = LrsDockWidget(self.iface.mainWindow(), self.iface)

  File "C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\lrs\ui\lrsdockwidget.py", line 278, in

__init__

    self.resetExportOptions()

  File "C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\lrs\ui\lrsdockwidget.py", line 1064, in

resetExportOptions

    for connection in ExportPostgis.getPostgisConnections():

  File "C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\lrs\lrs\postgis.py", line 136, in

getPostgisConnections

    connection = ExportPostgis.getPostgisConnection(connectionName)

  File "C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\lrs\lrs\postgis.py", line 117, in

getPostgisConnection

    sslmode = settings.value("sslmode", QgsDataSourceUri.SslPrefer, type=int)

TypeError: unable to convert a QVariant of type 10 to a QMetaType of type 2

Версия Python: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

Версия: 3.2.0-Bonn Bonn, bc43194061 

Workplace is empty after open.

History

#1 - 2018-07-05 04:46 PM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

- Category changed from Processing/Core to Plugin Manager

- Description updated

Looks like a problem in the lrs plugin to me.  I don't see any relation to qpz at least.  Please file a ticket there.
#2 - 2018-07-05 04:46 PM - Jürgen Fischer

- Category changed from Plugin Manager to Unknown
